/**
 * @mainpage Birch Driver
 *
 * Birch is a probabilistic programming language featuring automatic
 * marginalization, automatic conditioning, automatic differentiation, and
 * inference algorithms based on Sequential Monte Carlo (SMC). The Birch
 * language transpiles to C++.
 * 
 * This is the driver program, which manages Birch projects, including the
 * build system, packaging system, and transpile to C++.
 *
 * The @em Modules page is a good place to start.
 *
 * @defgroup common Common
 * Abstract syntax tree common components, typically inherited by other node
 * classes.
 *
 * @defgroup expression Expressions
 * Abstract syntax tree node classes for expressions.
 *
 * @defgroup statement Statements
 * Abstract syntax tree node classes for statements.
 *
 * @defgroup type Types
 * Abstract syntax tree node classes for types.
 *
 * @defgroup visitor Visitors
 * Visitors over abstract syntax trees.
 *
 * @defgroup io Code generation
 * Code generation.
 *
 * @defgroup exception Exceptions
 * Exceptions.
 */
